<?php
 /*
 * 74cms 添加到收藏夹
 * ============================================================================
 * 版权所有: 骑士网络，并保留所有权利。
 * 网站地址: http://www.74cms.com；
 * ----------------------------------------------------------------------------
 * 这不是一个自由软件！您只能在不用于商业目的的前提下对程序代码进行修改和
 * 使用；不允许对程序代码以任何形式任何目的的再发布。
 * ============================================================================
*/ 
define('IN_QISHI', true);
require_once(dirname(__FILE__).'/../include/common.inc.php');
$act = isset($_REQUEST['act']) ? trim($_REQUEST['act']) : 'add';
require_once(QISHI_ROOT_PATH.'include/mysql.class.php');
require_once(QISHI_ROOT_PATH.'include/fun_user.php');
$db = new mysql($dbhost,$dbuser,$dbpass,$dbname);
if ($_SESSION['uid']=='' || $_SESSION['username']=='')
{
	$captcha=get_cache('captcha');
	$smarty->assign('verify_userlogin',$captcha['verify_userlogin']);
	$smarty->display('plus/ajax_login.htm');
	exit();
}
if ($_SESSION['utype']!='2')
{
	exit('<div class="floatContent">
			<div class="float_common_box">
				<div class="float_tips">
					<div>必须是个人会员可以收藏职位！</div>
				</div>
			</div>
		</div>');
}
require_once(QISHI_ROOT_PATH.'include/fun_personal.php');
$user=get_user_info($_SESSION['uid']);
if ($user['status']=="2") 
{
	exit('<div class="floatContent">
			<div class="float_common_box">
				<div class="float_tips">
					<div>您的账号处于暂停状态，请先联系网站管理员设为正常后进行操作！</div>
				</div>
			</div>
		</div>');
}
if ($act=="add")
{
	$id=isset($_GET['id'])?trim($_GET['id']):exit("出错了"); 
	if(add_favorites($id,$_SESSION['uid'])==0)
	{
	exit('<div class="floatContent">
			<div class="float_common_box">
				<div class="float_tips">
					<div>添加失败，收藏夹中已经存在此职位 </div>
				</div>
			</div>
		</div>');
	}
	else
	{
?>
<div class="floatContent"  id="add_ok" >
	<div class="float_common_box" >
		<div class="float_auth_success">添加成功！<a href="<?php echo get_member_url(2,true)?>personal_apply.php?act=favorites" >查看收藏的职位</a></div>
	</div>
</div>
<?php
}
}
?>